IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FNMDL_AyniGunFarkliDosyaAyniIcdVarmi]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION [dbo].[FNMDL_AyniGunFarkliDosyaAyniIcdVarmi]
GO
create FUNCTION [dbo].[FNMDL_AyniGunFarkliDosyaAyniIcdVarmi](@HDOSYAID INTEGER,@MDLTEDAVITURU NVARCHAR(1))
RETURNS TABLE AS
RETURN

SELECT 
	CASE WHEN (
		SELECT TOP 1 (CHARINDEX(SUBSTRING(HDOSYAICD.ICDKOD,1,3),[VWMEDHDTOPLUISLEM].HDICDLISTE)) FROM HDOSYAICD WHERE HDOSYAID IN
		 (
		  SELECT HDOSYAID FROM [VWMEDHDTOPLUISLEM] H 
		  WHERE H.HKIMLIKID=[VWMEDHDTOPLUISLEM].HKIMLIKID AND H.BOLUMID<>[VWMEDHDTOPLUISLEM].BOLUMID AND 
				DBO.TARIHAL(H.HDTARIH)= DBO.TARIHAL([VWMEDHDTOPLUISLEM].HDTARIH)
		 ) ORDER BY (CHARINDEX(HDOSYAICD.ICDKOD,[VWMEDHDTOPLUISLEM].HDICDLISTE)) DESC
	 )>0 THEN 1 ELSE 2 END KONTROL, 'AynıGünFarklıDosya Aynı Icd Kontrol' KontrolAdi 
 /*
  (SELECT COUNT(*) FROM [VWMEDHDTOPLUISLEM] H 
     WHERE H.HKIMLIKID=[VWMEDHDTOPLUISLEM].HKIMLIKID AND H.BOLUMID<>[VWMEDHDTOPLUISLEM].BOLUMID AND 
		   DBO.TARIHAL(H.HDTARIH)= DBO.TARIHAL([VWMEDHDTOPLUISLEM].HDTARIH)) AYNIGUNDIGERBOLUMDOSYASAYISI,
  
  (SELECT MAX(HDOSYAID) FROM [VWMEDHDTOPLUISLEM] H 
     WHERE H.HKIMLIKID=[VWMEDHDTOPLUISLEM].HKIMLIKID AND H.BOLUMID<>[VWMEDHDTOPLUISLEM].BOLUMID AND 
		   DBO.TARIHAL(H.HDTARIH)= DBO.TARIHAL([VWMEDHDTOPLUISLEM].HDTARIH)) AYNIGUNDIGERBOLUMDOSYAID,

		   HDOSYAID,HDTARIH,HKIMLIKID,HADISOYADI,TAKIPNO,BASVURUNO,BOLUMID,BOLUMADI,TEDAVITURU 
		   */
		   FROM [VWMEDHDTOPLUISLEM] 
WHERE HDOSYAID=@HDOSYAID















